{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.pr_pteraf.move": {
      "states": {
        "default": {
          "animations": [
            {
              "setup": "query.is_on_ground"
            },
            {
              "fly": "!query.is_on_ground"
            }
          ],
          "transitions": [
            {
              "walk": "query.is_on_ground && query.modified_move_speed>0.1"
            }
          ]
        },
        "walk": {
          "animations": [
            {
              "walk": "query.is_on_ground"
            },
            {
              "fly": "!query.is_on_ground"
            }
          ],
          "transitions": [
            {
              "default": "query.modified_move_speed<0.1"
            }
          ]
        }
      }
    },
    "controller.animation.pr_pteraf.general": {
      "states": {
        "default": {
          "transitions": [
            {
              "attack": "variable.attack_time>0.1"
            }
          ]
        },
        "attack": {
          "animations": [
            "attack"
          ],
          "transitions": [
            {
              "default": "query.all_animations_finished"
            }
          ]
        }
      }
    }
  }
}